{% extends 'dialog.html.twig' %}

{% block dialog_title %}
    <h1>{{ 'Administrator Access' | trans }}</h1>
{% endblock %}

{% block dialog_body %}
    <form method="post" action="{{ app.request.uri }}">
        <div class="alert alert-warning mt-4">
            <div class="row">
                <div class="col-auto">
                    <span class="fa fa-section"></span>
                </div>

                <div class="col">
                    {{ ('Please ensure that you are authorized and acting within legal boundaries'
                        ~ ' before switching to the target user\'s account.') | trans }}
                </div>
            </div>
        </div>

        <div class="form-floating mt-4">
            <input type="text" id="mailbox" name="mailbox" value=""
                   class="form-control form-control-lg"
                   placeholder="user@example.com" required autofocus />
            <label for="mailbox" class="form-check-label">{{ 'E-mail address of the account to manage'|trans }}</label>
        </div>

        <div class="mt-4">
            <button class="btn btn-primary btn-lg" type="submit" name="confirm">{{ 'Confirm'|trans }}</button>
            <button class="btn btn-danger btn-lg" type="submit" name="cancel">{{ 'Cancel'|trans }}</button>
        </div>
    </form>
{% endblock %}
